<?php 
// The CSS files for your theme
function theme_styles() {
    wp_enqueue_style('bootstrap-css', get_template_directory_uri() . '/bootstrap/css/bootstrap.min.css', array(), '', 'all');
    wp_enqueue_style('bootstrap-theme', get_template_directory_uri() . '/bootstrap/css/bootstrap-theme.min.css', array('bootstrap-css'), '', 'all');
}
add_action( 'wp_enqueue_scripts', 'theme_styles' );

// The JavaScript files for your theme
function wpbootstrap_scripts_with_jquery()
{
	// Register the script like this for a theme:
	wp_register_script( 'custom-script', get_template_directory_uri() . '/bootstrap/js/bootstrap.js', array( 'jquery' ) );
	// For either a plugin or a theme, you can then enqueue the script:
	wp_enqueue_script( 'custom-script' );
}
add_action( 'wp_enqueue_scripts', 'wpbootstrap_scripts_with_jquery' );

/* Wordpress 3.0 Custom Menu */
if(function_exists('register_nav_menus')){
    register_nav_menus( array(
        'primary' => __( 'Primary Menu', 'WPBootstrap' ),
	'pmenu' => __( 'Page Menu' ),
    ) );
}

//分页
function par_pagenavi($range = 9){
	global $paged, $wp_query;
	if ( !$max_page ) {$max_page = $wp_query->max_num_pages;}
	if($max_page > 1){if(!$paged){$paged = 1;}
	if($paged != 1){echo "<a href='" . get_pagenum_link(1) . "' class='extend' title='跳转到首页'> 返回首页 </a>";}
	previous_posts_link(' 上一页 ');
    if($max_page > $range){
		if($paged < $range){for($i = 1; $i <= ($range + 1); $i++){echo "<a href='" . get_pagenum_link($i) ."'";
		if($i==$paged)echo " class='current'";echo ">$i</a>";}}
    elseif($paged >= ($max_page - ceil(($range/2)))){
		for($i = $max_page - $range; $i <= $max_page; $i++){echo "<a href='" . get_pagenum_link($i) ."'";
		if($i==$paged)echo " class='current'";echo ">$i</a>";}}
	elseif($paged >= $range && $paged < ($max_page - ceil(($range/2)))){
		for($i = ($paged - ceil($range/2)); $i <= ($paged + ceil(($range/2))); $i++){echo "<a href='" . get_pagenum_link($i) ."'";if($i==$paged) echo " class='current'";echo ">$i</a>";}}}
    else{for($i = 1; $i <= $max_page; $i++){echo "<a href='" . get_pagenum_link($i) ."'";
    if($i==$paged)echo " class='current'";echo ">$i</a>";}}
	next_posts_link(' 下一页 ');
    if($paged != $max_page){echo "<a href='" . get_pagenum_link($max_page) . "' class='extend' title='跳转到最后一页'> 最后一页 </a>";}}
}

//Sidebar
if ( function_exists('register_sidebar') ) {
    register_sidebar(array(
        'name' => '右边栏',
        'before_widget' => '<div id="accordion"><div class="panel-r">',
        'after_widget' => '</div></div>',
        'before_title' => '<div class="panel-r-heading"><h3 class="panel-r-title">',
        'after_title' => '</h3></div>',
    ));
}

/* Wordpress 3.0 Custom Background */

if ( function_exists('add_custom_background') ) {
add_custom_background();
}

/* thumbnails picture */
if ( function_exists( 'add_theme_support' ) ) {
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 252, 160, true );
}

/* 访问计数 */
function record_visitors()
{
	if (is_singular())
	{
	  global $post;
	  $post_ID = $post->ID;
	  if($post_ID)
	  {
		  $post_views = (int)get_post_meta($post_ID, 'views', true);
		  if(!update_post_meta($post_ID, 'views', ($post_views+1)))
		  {
			add_post_meta($post_ID, 'views', 1, true);
		  }
	  }
	}
}
add_action('wp_head', 'record_visitors');
 
/// 函数名称：post_views
/// 函数作用：取得文章的阅读次数
function post_views($before = '(点击 ', $after = ' 次)', $echo = 1)
{
  global $post;
  $post_ID = $post->ID;
  $views = (int)get_post_meta($post_ID, 'views', true);
  if ($echo) echo $before, number_format($views), $after;
  else return $views;
}
// Register comments
require_once('comments_im.php');

// Register buttom
require_once('edit_button.php');

// Related_posts
require_once('related_posts.php');

// Single_style
require_once('funson.php');

// Register Custom Navigation Walker
require_once('wp_bootstrap_navwalker.php');

// Time_style
require_once('time.php');

// Baidu_push
require_once('baidu_push.php');

// Ding_Cai
require_once('vote.php');

show_admin_bar(false);

/*    
*wp的ajax都可以通过请求中的action参数来执行对应的钩子    
*示例中我们的action参数值是vote_post    
*所以我们可以直接用下面两个钩子来执行动作    
*/     
add_action("wp_ajax_vote_post", "add_votes_options");     
add_action("wp_ajax_nopriv_vote_post", "add_votes_options");     
function add_votes_options() {     
	
if( isset($_POST['action']) && ($_POST['action'] == 'vote_post') ){     
	$postid = (int)$_POST['postid'];     
	if( !$postid ){     
		echo 'e'; //输出error     
		die(0);     
	}     
	//cookie中是否已经存在投票数据     
	$voted = $_COOKIE["smzdm_voted_".$postid];     
	if( $voted ){     
		echo 'h'; //输出have     
		die(0);     
	}     
	$ip = $_SERVER['REMOTE_ADDR'];//ip     
	$rating = $_POST['rating']; //投票内容     
	//判断用户是否登录     
	if(  is_user_logged_in() ){     
		global $wpdb, $current_user;     
		get_currentuserinfo();     
		$uid = $current_user->ID;     
	}else{     
		$uid='';     
	}     
	if($rating=='up'){     
		$rating='up';     
	}else{     
		$rating='down';     
	}     
	//添加数据     
	$voted = add_vote($postid,$uid,$ip,$rating);     
	if($voted=='y'){     
		//设置cookie     
		setcookie("ashu_voted_" . $postid,$rating, time() + 3000000, '/');     
		echo 'y';//输出yes     
		die(0);     
	}     
	if($voted=='h'){     
		//设置cookie     
		setcookie("ashu_voted_" . $postid,$rating, time() + 3000000, '/');     
		echo 'h';     
		die(0);     
	}     
	if($voted=='e'){     
		echo 'n';//输出no     
		die(0);     
	}     
}else{     
	echo 'e';//输出eroor     
}     
die(0);     
}