<!DOCTYPE html>
<html lang="zh-CN">
<head>
<meta charset="utf-8">
<title><?php if ( is_home() ) {bloginfo('name'); echo " | "; bloginfo('description');}
elseif ( is_category() ) {single_cat_title(); echo " | "; bloginfo('name');}
elseif (is_single() || is_page() ) {single_post_title(); echo " | "; bloginfo('name');}
elseif (is_search() ) {echo "搜索结果"; echo " | "; bloginfo('name');}
elseif (is_404() ) {echo '页面未找到!';}
else {wp_title('',true); echo " | "; bloginfo('name');} ?></title>
<?php
//如果是首页
if (is_home()){
	$keywords = "imcn,开源,开源资讯,Linux,Ubuntu,Fedora";
	$description = "这是一个开源软件资讯网站,一个关于linux菜鸟的博客。";
}
//如果是文章页
elseif (is_single()){
	//默认使用文章页添加关键字
	$keywords = get_post_meta($post->ID, "keywords", true);
	//如果为空，使用标签作为关键字
	if($keywords == ""){
		$tags = wp_get_post_tags($post->ID);
		foreach ($tags as $tag){
			$keywords = $keywords.$tag->name.",";
		}
		//去掉最后一个,
		$keywords = rtrim($keywords, ', ');
	}
	//默认使用文章页添加描述
	$description = get_post_meta($post->ID, "description", true);
	//如果为空，使用文章前100个字作为描述
	if($description == ""){
		if($post->post_excerpt){
			$description = $post->post_excerpt;
		}else{
			$description = mb_strimwidth(strip_tags(apply_filters('the_content',$post->post_content)),0,200);
		}
	}
}
//如果是页面，使用页面添加的关键字和描述
elseif (is_page()){
	$keywords = get_post_meta($post->ID, "keywords", true);
	$description = get_post_meta($post->ID, "description", true);
}
//如果是分类页，使用分类名作为关键字，分类描述作为描述
elseif (is_category()){
	$keywords = single_cat_title('', false);
	$description = category_description();
}
//如果是标签页，使用标签名作为关键字，标签描述作为描述
elseif (is_tag()){
	$keywords = single_tag_title('', false);
	$description = tag_description();
}
//去掉两段空格
$keywords = trim(strip_tags($keywords));
$description = trim(strip_tags($description));
?>
<meta name="keywords" content="<?php echo $keywords; ?>" />
<meta name="description" content="<?php echo $description; ?>" />
<meta name="author" content="imcn.me" />
<?php if ( !(is_home()) and !(is_single()) ) { ?><meta name="Googlebot" content="noindex,follow" /><?php }?>
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<!-- Le styles -->
<link href="<?php bloginfo('stylesheet_url');?>" rel="stylesheet">
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/swiper/swiper.min.css">
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/awesome/css/fontawesome-all.css" rel="stylesheet">
<link rel="stylesheet" href="https://at.alicdn.com/t/font_r65t3w6v0qode7b9.css">
<!--[if IE 7]>
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/awesome/css/font-awesome-ie7.min.css">
<![endif]-->

    <!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
<script type="text/javascript" language="javascript">
window.onload = window.onresize = function () {
    resizeIframe();
}
var resizeIframe=function(){
    var bodyw=document.body.clientWidth;
    for(var ilength=0;ilength<=document.getElementsByTagName("iframe").length;ilength++){

        document.getElementsByTagName("iframe")[ilength].height = bodyw*9/16;//设定高度

    }
}
</script>
<!--/视频自适应-->
    <?php wp_enqueue_script("jquery"); ?>
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?> >
<?php include_once("baidu_js_push.php") ?>
<!--/百度推送-->
<nav class="navbar navbar-default navbar-fixed-top" role="navigation">
    <div class="nav-top">
	<div class="container">
		<?php
		if(function_exists('wp_nav_menu')){
		wp_nav_menu( array( 'container_id' => 'top-nav', 'fallback_cb' => 'wp_perfect_default_pages', 'theme_location' => 'pmenu' ) );}
		else{
		wp_perfect_default_pages();
		}
		?>
		<div class="imcn_panel">
			<?php if ( !$user_ID )  { ?>
				<li><a href="<?php echo wp_login_url( home_url(add_query_arg(array(),$wp->request)) ); ?>">用户登录</a></li>
			<?php } else { ?>
				<li><a href="<?php echo wp_logout_url( home_url() ); ?>" title="Logout">登出</a></li>
				<li><a href="/wp-admin/post-new.php" title="新建文章">发文</a></li>
				<li><a href="/wp-admin/" title="用户后台">后台管理</a></li>
			<?php } ?>
		</div>
	</div>
  </div>
  <div class="container">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="logo" href="<?php echo home_url(); ?>"><img src="<?php bloginfo('template_url'); ?>/images/logo.png" height="50" width="117" alt="<?php bloginfo('name'); ?>" /></a>
    </div>
	<div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
	<?php bootstrap_nav(); ?>
	<?php get_search_form(); ?>
	</div>
    </div>
</nav>

<div class="imcn_focus"></div>
<div class="imcn_bottom hidden-xs"></div>
<div class="container">
